'Newland.CityTheme:PressArticleList':
  superTypes:
    'Neos.Neos:Content': true
    'Newland.NeosNodeTypes:LinkMixin': true

  ui:
    label: Presseartikel Liste
    icon: newspaper
    group: 'structure'
    inspector:
      groups:
        settings:
          label: Einstellungen
          icon: cog
    position : 7

  properties:
    title:
      type: string
      defaultValue: 'Aktuelle Mitteilungen'
      ui:
        label: Headline
        inspector:
          group: 'settings'
    scope:
      type: string
      defaultValue: all
      ui:
        label: Presseartikel anzeigen
        reloadIfChanged: true
        inspector:
          group: settings
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            values:
              all:
                label: Alle
                value: all
              childrenOnly:
                label: Nur Kinder dieser Seite
                value: childrenOnly
              selectedOnly:
                label: Ausgewählte Artikel
                value: selectedOnly
              lastThree:
                label: Die drei neuesten Artikel
                value: lastThree
    selectedArticles:
      type: 'references'
      ui:
        label: Ausgewählte Artikel anzeigen
        inspector:
          group: 'settings'
          editorOptions:
            nodeTypes: ['Newland.CityTheme:PressArticle']
          hidden: "ClientEval:node.properties.scope == 'selectedOnly' ? false : true"
        reloadIfChanged: true
    itemsPerPage:
      type: integer
      defaultValue: 10
      ui:
        help:
          message: 'Sind mehr Artikel als die angegebene Zahl vorhanden, wird dem Benutzer eine Paginierung angezeigt.'
        label: Artikel pro Seite
        inspector:
          group: settings
